#include "slick.sh"

defmain()
{
_config_modify_flags(CFGMODIFY_RESOURCE);
}

_menu _ext_menu_default_se_orig {
   "Quick Search","quick-search","","help Quick Search","Searches for word at cursor";
   "Quick Replace","quick-replace","","help Quick Replace","Replace the word at cursor";
   "-","","","","";
   "Go to &Definition","push-tag","","help Go to Definition","Goes to definition or declaration for word at cursor";
   "Go to Declaration","push-alttag","ncw","help Go to Declaration","Goes to definition or declaration for word at cursor";
   "Go to &Reference","push-ref","","help Go to Reference","Search for references to the symbol under the cursor";
   "Edit Associated File","edit-associated-file","ncw","help Document Menu","Switch to header or source file associated with the current file";
   "-","","","","";
   "List &Symbols","list-symbols","","help Context Tagging","Lists valid symbols for current context";
   "Parameter &Info","function-argument-help","","help Context Tagging","Display prototype(s) and highlights current argument";
   "Show in Symbol Browser","cf","cf","help Symbols tool window","Finds current word in symbol browser";
   "-","","","","";
   submenu "C++ &Refactoring","","Displays C++ refactoring menu","cpp_refactoring" {
   }
   submenu "&Quick Refactoring","help Quick Refactoring","Displays Quick refactoring menu","quick_refactoring" {
      "&Override Method...","override_method 0","override_method","help Symbols tool window","Lists virtual methods from a parent class that may be overridden";
   }
   submenu "Im&ports","help Organize Imports Options","Displays Imports refactoring menu","imports" {
      "Organize Imports","jrefactor_organize_imports","organize_imports","help Java Organize Imports","Organize import statements in a java file";
      "Add Import","jrefactor_add_import","add_import","help Add import","Add import statement for symbol under cursor";
      "-","","bar","","";
      "Options...","jrefactor_organize_imports_options","organize_imports_options","help Java Organize imports options","View options for Organize Imports operations";
   }
   "Generate Debug","generate_debug","generate_debug","help Generate debug","Generates debug code for symbol under the cursor";
   "Update Doc Comment","update_doc_comment","update_doc_comment","help update_doc_comment","Create or update the documentation comment for the current function or method";
   "-","","","","";
   "Set Breakpoint","debug_toggle_breakpoint","set_breakpoint","help Debug","Toggle a breakpoint on this line";
   "Enable Breakpoint","debug_toggle_breakpoint_enabled","","help Debug","Toggle whether the current breakpoint is enabled or not";
   "Breakpoint properties...","debug_edit_breakpoint","","help Debug","Toggle whether the current breakpoint is enabled or not";
   "Add Watch","debug_add_watch","","help Debug","Add a watch on the current variable";
   "-","","","","";
   "Copy Word","copy-word","","help Edit menu","Copies the current word to the clipboard";
   "&Paste","paste","","help Edit menu","Inserts the clipboard into the current file";
   "List Clipboards...","list-clipboards","nrdonly","help List Clipboards","Inserts a clipboard select from a list of your recently created clipboards";
   "-","","","","";
   "&Toggle Bookmark\tCtrl+Shift+J","toggle-bookmark","toggle_bookmark","help bookmarks","Toggles setting a bookmark on the current line";
   "Create Code Annotation...","new-annotation","new_annotation","help Code Annotations","Creates a code annotation on the current line";
   "Show File in Projects Tool Window","show_file_in_projects_tb","show_file_in_projects_tb","help Projects Tool Window","Expands all projects containing the current file in the Projects tool window.";
   "Add File to Project...","project_add_files_prompt_project","project_add_files_prompt_project","help Projects Tool Window","Adds the current file to a project that you specify";
   "-","","version-control-sep","","";
   submenu "&Version Control","help Version Control Menu","Displays project menu","version-control" {
      "Comm&it","vccheckin","update","help Version Control Menu","Checks in current file";
      "&Get","vcget","get","help Version Control Menu","Checks out current file read only";
      "Check &Out","vccheckout","checkout","help Version Control Menu","Checks out current file";
      "Lock","vclock","lock","help Version Control Menu","Locks the current file without checking out the file";
      "U&nlock","vcunlock","uncheckout","help Version Control Menu","Unlocks the current file without checking in the file";
      "-","","","","";
      "&Add","vcadd","add","help Version Control Menu","Adds current file to version control";
      "&Remove","vcremove","remove","help Version Control Menu","Removes current file from version control";
      "-","","","","";
      "&History...","vchistory","history","help Version Control Menu","Views history for current file";
      "&Difference...","vcdiff","diff","help Version Control Menu","Views differences of current file";
      "&Properties...","vcproperties","properties","help Version Control Menu","Views properties of current file";
      "&Manager...","vcmanager","manager","help Version Control Menu","Executes Version Control Manager";
      "-","","","","";
      "&Setup...","vcsetup","","help Version Control Setup dialog box","Allows you to choose and configure a Version Control System interface";
   }
   "-","","","","";
   "Edit This Menu","open-menu _ext_menu_default","","popup-imessage Runs menu editor on this menu","Allows you to customize this menu";
}
